Bug 127410 - Printer selection doesn't give feedback or use gnome-print-manager settings
Summary: Printer selection doesn't give feedback or use gnome-print-manager settings
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131589
TreeView+ depends on / blocked
 
Reported: 2004-07-07 20:35 UTC by Zack Cerza
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 13:52:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2004-07-07 20:35:07 UTC
Description of problem:
The "Printer:" field in the Print dialog doesn't give any feedback as
to what are valid values. 'lpr' apparently is the default,
irrespective of which printer you have set as default in
gnome-print-manager, and the dialog gives no clues as to what type of
information it wants in the field. At the very least there should be a
combobox containing all the printers visible to the system, imo.

What's more is that even if you put something completely ridiculous
like "FO(*$(F*;;: | !!\n\n y'arr i'm a pirate" no error is given.

You knew this part already, but most users don't: whatever is put in
that field is executed. If someone tells my grandma, to use 'rm -rf ~'
as her printer, she's gonna be pissed.


Version-Release number of selected component (if applicable):


How reproducible:
consistently.

Steps to Reproduce:
1. go to file -> print in epiphany
2. put something insane in the Printer: field
3.
  
Actual results:
nothing happens.

Expected results:
a start: "ERROR: that's definitely not a printer. an example of a
valid setting would be...."

ideally: just use the gnome-print-manager settings.


Additional info:


Note You need to log in before you can comment on or make changes to this bug.